Webs/ERP/Controllers/SystemController.cs
using System;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;
using App.Erp.Context;
using App.Erp.Security;
using Core.Domain.System;
using Core.Helper;
using Core.Model.Common;
using Core.Model.Security;
using Core.Model.User;
using Mvc.JQuery.DataTables.DynamicLinq;
using Core.Services.System;
using App.Erp.Infrastructures;
using App.Erp.Providers;
using Core.Services.Organize;
using Core.Model.Organization;
using System.Collections.Generic;
using Core.Domain.Organization;

namespace App.Erp.Controllers
{
    [Admin]
    public class SystemController : BaseController
    {
        private readonly IRoleService _roleService;
        private readonly IRoleFunctionService _roleFunctionService;
        private readonly IUserRoleService _userRoleService;
        private readonly IUserService _userService;
        private readonly IFunctionService _functionService;
        private readonly IFunctionCategoryService _functionCategoryService;
        private readonly ISettingService _settingService;
        private readonly ISettingGroupService _groupService;
        private readonly IProvinceService _provinceService;
        public SystemController(IUserService userService, IProvinceService provinceService, IFunctionCategoryService functionCategoryService, IFunctionService functionService, IRoleService roleService, IRoleFunctionService roleFunctionService, IUserRoleService userRoleService, ISettingService settingService, ISettingGroupService groupService)
        {
            _userService = userService;
            _functionCategoryService = functionCategoryService;
            _functionService = functionService;
            _roleService = roleService;
            _roleFunctionService = roleFunctionService;
            _userRoleService = userRoleService;
            _settingService = settingService;
            _groupService = groupService;
            _provinceService = provinceService;
        }

        [Admin]
        public ActionResult Province(int parentId = 0, string keyword = "")
        {
            ViewBag.ParentId = parentId;
            ViewBag.Keyword = keyword;
            return View();
        }

        [Admin]
        public object GetProvinces(TableModel model, int parentId = 0, string keyword = "")
        {
            var lst = _provinceService.Gets().Where(i => i.ParentId == parentId);
            if (!string.IsNullOrEmpty(keyword))
            {
                lst = lst.Where(i => i.Name.Contains(keyword));
            }
            lst = lst.OrderBy(model.Order);
            return lst.Skip(model.Start).Take(model.Pagesize).ToTableResult(lst.Count(), model.Draw).ToJson();
        }

        [Admin]
        public ActionResult ProvinceEdit(int id = 0, int parentId = 0)
        {
            var lst = _provinceService.GetTree();
            lst.Insert(0, new KeyValuePair<string, int>("Root", 0));
            var m = new ProvinceModel
            {
                Id = id,
                Provinces = new SelectList(lst, "Value", "Key"),
                ParentId = parentId
            };
            if (id == 0) return View(m);
            var u = _provinceService.Get(id);
            m.Name = u.Name;
            m.ParentId = u.ParentId;
            return View(m);
        }

        [Admin]
        [HttpPost]
        public ActionResult ProvinceEdit(ProvinceModel model)
        {
            if (!ModelState.IsValid) return View(model);
            var u = new Province
            {
                Id = model.Id,
                Name = model.Name,
                ParentId = model.ParentId
            };
            u.Id = _provinceService.InsertOrUpdate(u);
            return IframeScript;
        }

        [Admin]
        public ActionResult ProvinceDelete(int id)
        {
            var u = _provinceService.Get(id);
            _provinceService.Delete(u);
            return RedirectToAction("Province");
        }

        #region Setting Group
        public ActionResult SettingGroup()
        {
            return View();
        }

        public object GetSettingGroups(TableModel model)
        {
            var lst = _groupService.Gets();
            return lst.Skip(model.Start).Take(model.Pagesize).ToTableResult(lst.Count(), model.Draw).ToJson();
        }

        public ActionResult SettingGroupEdit(int id = 0)
        {
            var m = new SettingGroupModel();
            if (id == 0) return View(m);
            var f = _groupService.Get(id);
            f.CopyTo(m);
            return View(m);
        }

        [HttpPost]
        [ValidateInput(false)]
        public ActionResult SettingGroupEdit(SettingGroupModel m)
        {
            if (!ModelState.IsValid) return View(m);
            var f = _groupService.Get(m.Id) ?? new SystemSettingGroup();
            m.CopyTo(f);
            _groupService.InsertOrUpdate(f);
            return IframeScript;
        }

        public ActionResult SettingGroupDelete(int id)
        {
            _groupService.Delete(id);
            return RedirectToAction("SettingGroup");
        }
        #endregion

        #region Setting
        public ActionResult Setting(int groupId = 0)
        {
            var groups = _groupService.Gets();
            ViewBag.Groups = groups;
            ViewBag.GroupId = groupId > 0 ? groupId : groups.FirstOrDefault()?.Id;
            return View();
        }

        public object GetSettings(TableModel model, int groupId)
        {
            var lst = _settingService.Gets(groupId);
            lst = lst.OrderBy(model.Order);
            return lst.Skip(model.Start).Take(model.Pagesize).ToTableResult(lst.Count(), model.Draw).ToJson();
        }

        public ActionResult SettingEdit(int id = 0)
        {
            ViewBag.Groups = _groupService.Gets();
            var m = new SettingModel();
            if (id == 0) return View(m);
            _settingService.Get(id).CopyTo(m);
            return View(m);
        }

        [HttpPost]
        [ValidateInput(false)]
        public ActionResult SettingEdit(SettingModel model)
        {
            var d = _settingService.Get(model.Id) ?? new SystemSetting();
            model.CopyTo(d);
            _settingService.InsertOrUpdate(d);
            SettingProvider.ClearCache();
            return IframeScript;
        }

        public ActionResult SettingDelete(int id)
        {
            var d = _settingService.Get(id);
            _settingService.Delete(d);
            return RedirectToAction("Setting");
        }

        public ActionResult SettingClearCache()
        {
            WorkContext.ClearCache();
            return RedirectToAction("Setting");
        }

        public ActionResult SettingRecycle()
        {
            HttpRuntime.UnloadAppDomain();
            return RedirectToAction("Setting");
        }
        #endregion

        #region  Role
        public ActionResult Role()
        {
            return View();
        }

        public object GetRole(TableModel model)
        {
            var lst = _roleService.Gets().OrderBy(model.Order);
            return lst.Skip(model.Start).Take(model.Pagesize).ToList()
                .Select(i => new
                {
                    i.Id,
                    i.Name,
                    Functions = i.RolesFunctions.Where(j => !j.IsDeleted).Aggregate("", (c, j) => c + j.Function.Name + ", ")
                }).AsQueryable().ToTableResult(lst.Count(), model.Draw).ToJson();
        }

        public ActionResult RoleEdit(int id = 0)
        {
            var m = new RoleModel();
            if (id == 0) return View(m);
            var f = _roleService.Get(id);
            m.Name = f.Name;
            m.Id = f.Id;
            return View(m);
        }

        [HttpPost]
        public ActionResult RoleEdit(RoleModel m)
        {
            if (!ModelState.IsValid) return View(m);
            var f = new SystemRole
            {
                Name = m.Name,
                Id = m.Id
            };
            _roleService.InsertOrUpdate(f);
            return IframeScript;
        }

        public ActionResult RoleDelete(int id)
        {
            _roleService.Delete(id);
            return RedirectToAction("Role");
        }

        public ActionResult RoleFunctions(int id)
        {
            var role = _roleService.Get(id);
            var model = new RoleFuncModel
            {
                RoleId = id,
                RoleName = role.Name,
                Selecteds = role.RolesFunctions.Where(i => !i.IsDeleted).Select(i => i.FunctionId).ToArray(),
                List = _functionCategoryService.Gets().OrderBy(i => i.Name).ToList()
                .Select(j => new FuncGroup
                {
                    GroupName = j.Name,
                    List = _functionService.Gets().Where(i => i.CategoryId == j.Id && !i.IsAdmin).OrderBy(i => i.Order)
                        .Select(i => new SelectListItem
                        {
                            Text = i.Name,
                            Value = i.Id.ToString()
                        }).ToList()
                }).ToList()
            };
            return View(model);
        }

        [HttpPost]
        public ActionResult RoleFunctions(RoleFuncModel model)
        {
            if (!ModelState.IsValid) return (View(model));
            var rfs = _roleFunctionService.Gets().Where(i => i.RoleId == model.RoleId).ToList();
            foreach (var rf in rfs)
            {
                _roleFunctionService.Delete(rf);
            }
            var lst = model.Selecteds.Select(i => new RoleFunction
            {
                RoleId = model.RoleId,
                FunctionId = i
            }).ToList();
            _roleFunctionService.InsertRange(lst);
            return IframeScript;
        }

        public ActionResult RoleUsers(int id)
        {
            ViewBag.Enrolleds = _userRoleService.Gets().Where(i => i.RoleId == id).ToList();

Webs/ERP/Controllers/UploadController.cs
using System.IO;
using System.Linq;
using System.Web.Mvc;
using App.Erp.Context;
using App.Erp.Providers;
using Core.Constant;
using Core.Helper;
using Core.Model.Common;

namespace App.Erp.Controllers
{
    [Authorize]
    public class UploadController : Controller
    {
        public object EditorUpload()
        {
            if (Request.Files.Count < 1) return null;
            var file = Request.Files[0];
            var fileexts = SettingProvider.GetValue(Settings.ALLOWED_EXTENSIONS).GetSplit('|').ToList();
            if (!fileexts.Contains(Path.GetExtension(file.FileName).ToLower()))
            {
                return $"<script type='text/javascript'>window.parent.CKEDITOR.tools.callFunction({Request.QueryString["CKEditorFuncNum"]}, '', 'File type is not allowed');</script>";
            }
            var maxsize = SettingProvider.GetValue(Settings.MAX_FILE_SIZE).ToInt();
            if (file.ContentLength / (1024 * 1024) > maxsize)
            {
                return $"<script type='text/javascript'>window.parent.CKEDITOR.tools.callFunction({Request.QueryString["CKEditorFuncNum"]}, '', 'File is too large');</script>";
            }
            var folder = $"/Files/ContentUpload/{WorkContext.User.Id}/";
            var physicPath = Server.MapPath(folder);
            if (!Directory.Exists(physicPath)) Directory.CreateDirectory(physicPath);
            var filename = Common.GetUniqueFilename(file.FileName);
            file.SaveAs(physicPath + filename);
            var fileurl = folder + filename;
            return $"<script type='text/javascript'>window.parent.CKEDITOR.tools.callFunction({Request.QueryString["CKEditorFuncNum"]}, '{fileurl}', '');</script>";
        }

        public ActionResult JsUpload(string path)
        {
            if (Request.Files.Count < 1) return null;
            var file = Request.Files[0];
            var fileexts = SettingProvider.GetValue(Settings.ALLOWED_EXTENSIONS).GetSplit('|');
            if (!fileexts.Contains(Path.GetExtension(file.FileName).ToLower()))
            {
                return Json(file.FileName.ToResponseResult(false, "File type is not allowed"));
            }
            var maxsize = SettingProvider.GetValue(Settings.MAX_FILE_SIZE).ToInt();
            if (file.ContentLength / (1024 * 1024) > maxsize)
            {
                return Json(file.FileName.ToResponseResult(false, "File is too large"));
            }
            var folder = $"/Files/{path}/{WorkContext.User.Id}/";
            var physicPath = Server.MapPath(folder);
            if (!Directory.Exists(physicPath)) Directory.CreateDirectory(physicPath);
            var filename = Common.GetUniqueFilename(file.FileName);
            file.SaveAs(physicPath + filename);
            return Json((folder + filename).ToResponseResult());
        }
    }
}

Webs/ERP/Views/System/Function.cshtml
<div class="filters">
    <select id="Category" class="form-control filter">
        <option value="0">@Resources.Actions.ChooseCategory</option>
        @foreach (var s in ViewBag.Categories)
        {
            <option @(ViewBag.CategoryId == s.Id ? "selected='selected'" : "") value="@s.Id">@s.Name</option>
        }
    </select>
    <a href="@Url.Action("FunctionEdit")?categoryId=@ViewBag.CategoryId" class="btn btn-success" onclick="return showModal(this)">@Html.Raw(Resources.Actions.Add)</a>
</div>
<table class="table table-striped table-bordered table-short">
    <thead>
        <tr>
            <th>@Resources.Actions.TT</th>
            <th>@Resources.Actions.Icon</th>
            <th>@Resources.Actions.Name</th>
            <th>@Resources.Actions.Key</th>
            <th>@Resources.Actions.IsAdmin</th>
            <th>@Resources.Actions.Url</th>
            <th class="text-center w50"><i class="fa fa-pencil" aria-hidden="true"></i></th>
            <th class="text-center w50"><i class="fa fa-trash" aria-hidden="true"></i></th>
        </tr>
    </thead>
    <tbody></tbody>
</table>

<script>
    $(function () {
        $(".filter").change(function () {
            window.location.href = `@Url.Action("Function")?categoryId=${$("#Category").val()}`;
        });
        var t = $('table.table').DataTable(
        {
            processing: true,
            serverSide: true,
            drawCallback: function () { hidePageLoading(); setTimeout(function () { t.ajax.reload(null, false); }, 60000); },
            filter: false,
            orderMulti: false, 
            pageLength: 30,
            iDisplayLength: 30,
            aLengthMenu: [[30, 50, 100, 200, 500, 1000,  2000, 5000], [30, 50, 100, 200, 500, 1000, 2000, 5000]],
            order: [[1, "asc"]],
            dom: '<"top"f>rt<"bottom"ilp><"clear">',
            ajax: { url: '@Url.Action("GetFunction")?categoryId=@ViewBag.CategoryId', type: "GET", contentType: "application/json", beforeSend : function() { showPageLoading(); } },
            columns: [
                {
                    "data": "Id",
                    "className": "text-center",
                    "bSortable": false,
                    "width": "50px"
                },
                {
                    "data": "Icon",
                    "bSortable": false,
                    "className": "text-center"
                },
                {
                    "data": "Name",
                    "bSortable": false
                },
                {
                    "data": "Key",
                    "bSortable": false
                },
                {
                    "data": "IsAdmin",
                    "bSortable": false,
                    "className": "text-center",
                    render: function(d) {
                        return d ? "<i class='fa fa-check'></i>" : "";
                    }
                },
                {
                    "data": "Url",
                    "bSortable": false
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function (data) {
                        return `<a class="ids" id="${data}" href="@Url.Action("FunctionEdit")?id=${data}" onclick="return showModal(this)"><i class="fa fa-pencil" aria-hidden="true"></i></a>`;
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function (data) {
                        return `<a href="@Url.Action("FunctionDelete")?id=${data}" onclick="@Html.Raw(Resources.Actions.Confirm)"><i class="fa fa-trash" aria-hidden="true"></i></a>`;
                    }
                }
            ],
            "initComplete": function () {
                $(".table-short tbody").sortable({
                    update: function () {
                        $(".ids").each(function () {
                            $(this).parent().parent().attr("id", $(this).attr("id"));
                        });
                        $.post("@Url.Action("FunctionSort")", { Ids: $(this).sortable("toArray") }).done(function () {
                            t.ajax.reload(null, false);
                        });
                    }
                });
            }
        });
        t.on('draw.dt',
                function () {
                    t.column(0, { search: 'applied', order: 'applied' })
                        .nodes()
                        .each(function (cell, i) {
                            cell.innerHTML = i + 1;
                        });
                })
            .draw();
        setModalCompletedCallback(function () {
            t.ajax.reload(null, false);
        });
    });
</script>

Webs/ERP/Views/System/FunctionCategoryEdit.cshtml
@using Resources
@model Core.Model.Security.FunctionCategoryModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("FunctionCategoryEdit", "System", FormMethod.Post, new { @id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Order)
    @Html.HiddenFor(m => m.Id)
    <div class="form-group">
        <label>@Actions.Name</label>
        <div>
            @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
        </div>
    </div>
    <div class="form-group">
        <label>@Actions.Icon</label>
        <div>
            @Html.TextBoxFor(m => m.Icon, new { @class = "form-control" })
        </div>
    </div>
    <div class="text-center">
        <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
        <button name="act_continue" value="false" onclick="$(this).val(true)" type="submit" class="btn btn-danger">@Html.Raw(Actions.UpdateNew)</button>
    </div>
}
<script>
    window.parent.setModalSize("400px", "270px");
</script>

Webs/ERP/Views/System/FunctionEdit.cshtml
@using Resources
@model Core.Model.Security.FunctionModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("FunctionEdit", "System", FormMethod.Post, new { id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Order)
    @Html.HiddenFor(m => m.Id)
    <div class="row">
        <div class="form-group col-4">
            <label>@Actions.Category</label>
            @Html.DropDownListFor(m => m.CategoryId, Model.Categories, new { @class = "form-control" })
        </div>
        <div class="form-group col-8">
            <label>@Actions.Icon</label>
            @Html.TextBoxFor(m => m.Icon, new { @class = "form-control" })
        </div>
        <div class="form-group col-12">
            <label>@Actions.Name</label>
            @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
        </div>
        <div class="form-group col-6">
            <label>@Actions.Key</label>
            @Html.TextBoxFor(m => m.Key, new { @class = "form-control" })
        </div>
        <div class="form-group col-6">
            <label>@Actions.IsAdmin</label>
            <div class="form-control">
                @Html.CheckBoxFor(m => m.IsAdmin) @Actions.IsAdmin
            </div>
        </div>
        <div class="form-group col-12">
            <label>@Actions.Url</label>
            @Html.TextBoxFor(m => m.Url, new { @class = "form-control" })
        </div>
        <div class="text-center col-12">
            <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
            <button name="act_continue" value="false" onclick="$(this).val(true)" type="submit" class="btn btn-danger">@Html.Raw(Actions.UpdateNew)</button>
        </div>
    </div>
}
<script>
    window.parent.setModalSize("500px", "500px");
</script>

Webs/ERP/Views/System/RoleEdit.cshtml
@using Resources
@model Core.Model.Security.RoleModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("RoleEdit", "System", FormMethod.Post, new { @class = "form-horizontal", @id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Id)
    <div class="row">
        <div class="form-group">
            <label class="col-md-2 control-label">@Actions.Name</label>
            <div class="col-md-4">
                @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
            </div>
        </div>
        <div class="text-center">
            <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
            <button name="act_continue" value="false" onclick="$(this).val(true)" type="submit" class="btn btn-danger">@Html.Raw(Actions.UpdateNew)</button>
        </div>
    </div>
}
<script>
    window.parent.setModalSize("600px", "200px");
</script>

Webs/ERP/Views/System/RoleFunctions.cshtml
@using Core.Helper
@using Resources
@model Core.Model.Security.RoleFuncModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("RoleFunctions", "System", FormMethod.Post, new { @id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(i => i.RoleId)
    <div class="form-group">
        <h4>@Html.DisplayFor(i => i.RoleName)</h4>
        <div class="checkall">
            <input type="checkbox" id="ckbALl" /> Chọn tất cả
        </div>
    </div>
    <hr />
    <div class="functions">
        @foreach (var g in Model.List.Where(i => i.List.Count > 0))
        {
            <div class="fg">
                <h4>@g.GroupName</h4>
                @foreach (var item in g.List)
                {
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" @(Model.Selecteds.Contains(item.Value.ToInt()) ? "checked='checked'" : "") name="Selecteds" value="@item.Value" /> <span>@item.Text</span>
                        </label>
                    </div>
                }
            </div>
        }
        <div class="clear"></div>
    </div>
    <hr />
    <div class="text-center">
        <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
    </div>
}
<script>
    window.parent.setModalSize("90%", $(window.parent).height() - 70);
    $("#ckbALl").change(function () {
        $(".functions input[type=checkbox]").each(function () {
            $(this).prop("checked", $("#ckbALl").prop("checked"));
        });
    });
</script>

Webs/ERP/Views/System/SettingEdit.cshtml
@using Core.Constant
@using Core.Domain.System
@using Resources
@model Core.Model.Security.SettingModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("SettingEdit", "System", FormMethod.Post, new { id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Id)
    <div class="form-group">
        <label>@Actions.Group</label>
        <select id="GroupId" name="GroupId" class="form-control" min="1" value="@Model.GroupId">
            <option value="0">@Actions.ChooseGroup</option>
            @foreach (SystemSettingGroup i in ViewBag.Groups)
            {
                <option value="@i.Id">@i.Name</option>
            }
        </select>
    </div>
    <div class="form-group">
        <label>@Actions.Key</label>
        @Html.TextBoxFor(m => m.Key, new { @class = "form-control" })
    </div>
    if (Model.Key == Settings.LOGO_URL || Model.Key == Settings.EXPORT_LOGO_URL)
    {
        <div class="form-group col-12">
            <label>@Actions.Upload</label>
            <div>
                @Html.HiddenFor(m => m.Value, new { @class = "form-control" })
                <div id="image">
                    <img src="@(Model.Value)" style="max-width: 300px" />
                </div>
                <div id="progress"></div>
                <input type="file" name="file">
            </div>
        </div>
    }
    else
    {
        <div class="form-group">
            <label>@Actions.Value</label>
            @Html.TextAreaFor(m => m.Value, new { @class = "form-control" })
        </div>
    }
    <div class="form-group">
        <label>Mô tả</label>
        @Html.TextAreaFor(m => m.Desc, new { @class = "form-control" })
    </div>
    <div class="text-center">
        <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
    </div>
}
<script>
    window.parent.setModalSize("800px", "600px");
    $(function () {
        $('input[type=file]').change(function () {
            $(this).simpleUpload("@Url.Action("JsUpload","Upload")?path=Logo", {
                allowedExts: ["jpg", "jpeg", "png"],
                maxFileSize: 5000000,
                start: function () {
                    $('#progress').html("");
                },
                progress: function (progress) {
                    $('#progress').html("Uploaded :" + Math.round(progress) + "%");
                },
                success: function (data) {
                    if (data.success) {
                        $("#image img").attr("src", data.data);
                        $("#Value").val(data.data);
                    } else {
                        $('#progress').html(data.message);
                    }
                }
            });
        });
    });
</script>

Webs/ERP/Views/System/SettingGroupEdit.cshtml
@using Resources
@model Core.Model.Security.SettingGroupModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("SettingGroupEdit", "System", FormMethod.Post, new { id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Id)
    <div class="row">
        <div class="form-group">
            <label>@Actions.Name</label>
            <div class="col-md-4">
                @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
            </div>
        </div>
        <div class="text-center">
            <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
            <button name="act_continue" value="false" onclick="$(this).val(true)" type="submit" class="btn btn-danger">@Html.Raw(Actions.UpdateNew)</button>
        </div>
    </div>
}
<script>
    window.parent.setModalSize("400px", "200px");
</script>

Webs/ERP/Views/System/UserEdit.cshtml
@using Resources
@model Core.Model.User.UserModel
@{
    Layout = "~/Views/Shared/_Popup.cshtml";
}

@using (Html.BeginForm("UserEdit", "System", FormMethod.Post, new { id = "formData", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.Id)
    <div class="row">
        <div class="form-group col-4">
            <label class="control-label">Giới hạn</label>
            <div class="form-control">@Html.CheckBoxFor(m => m.Limited) Tài khoản giới hạn</div>
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.Name</label>
            @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.Email</label>
            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.Phone</label>
            @Html.TextBoxFor(m => m.Phone, new { @class = "form-control" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">Lương</label>
            @Html.TextBoxFor(m => m.Salary, new { @class = "form-control number" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">Phụ cấp</label>
            @Html.TextBoxFor(m => m.Allowance, new { @class = "form-control number" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.IsAdmin</label>
            <div class="form-control">@Html.CheckBoxFor(m => m.IsAdmin) @Actions.IsAdmin</div>
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.Password</label>
            @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.ConfirmPassword</label>
            @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control" })
        </div>
        <div class="form-group col-4">
            <label class="control-label">@Actions.Lock</label>
            <div class="form-control">@Html.CheckBoxFor(m => m.Locked) @Actions.Lock</div>
        </div>
        <div class="text-center col-12">
            <button type="submit" class="btn btn-primary">@Html.Raw(Actions.Update)</button>
            <button name="act_continue" value="false" onclick="$(this).val(true)" type="submit" class="btn btn-danger">@Html.Raw(Actions.UpdateNew)</button>
        </div>
    </div>
}
<script>
    window.parent.setModalSize("750px", "500px");
    $(function () {
        $("#Email").change(function() {
            $.get(`@Url.Action("CheckEmail")?userId=@Model.Id&&email=${$(this).val()}`).done(function(r) {
                if (r) {
                    $("#Email").val("");
                    alert("Email đã được sử dụng, vui lòng chọn email khác!");
                }
            });
        });
    });
</script>